Dictionary (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.ja.dict.Dictionary interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ja.dict
Interface Dictionary

All Known Implementing Classes:
  BinaryDictionary, TokenInfoDictionary, UnknownDictionary, UserDictionary

    public interface Dictionary

Dictionary interface for retrieving morphological data by id.

Field Summary
`static String` | `INTERNAL_SEPARATOR`

Method Summary
`String` | `getBaseForm(int wordId, char[] surface, int off, int len)` Get base form of word
`String` | `getInflectionForm(int wordId)` Get inflection form of tokens
`String` | `getInflectionType(int wordId)` Get inflection type of tokens
`int` | `getLeftId(int wordId)` Get left id of specified word
`String` | `getPartOfSpeech(int wordId)` Get Part-Of-Speech of tokens
`String` | `getPronunciation(int wordId, char[] surface, int off, int len)` Get pronunciation of tokens
`String` | `getReading(int wordId, char[] surface, int off, int len)` Get reading of tokens
`int` | `getRightId(int wordId)` Get right id of specified word
`int` | `getWordCost(int wordId)` Get word cost of specified word

Field Detail

### INTERNAL_SEPARATOR

    static final String INTERNAL_SEPARATOR

See Also:
  Constant Field Values

Method Detail

### getLeftId

    int getLeftId(int wordId)

  Get left id of specified word

  Parameters:
    `wordId` -
  Returns:
    left id

### getRightId

    int getRightId(int wordId)

  Get right id of specified word

  Parameters:
    `wordId` -
  Returns:
    left id

### getWordCost

    int getWordCost(int wordId)

  Get word cost of specified word

  Parameters:
    `wordId` -
  Returns:
    left id

### getPartOfSpeech

    String getPartOfSpeech(int wordId)

  Get Part-Of-Speech of tokens

  Parameters:
    `wordId` - word ID of token
  Returns:
    Part-Of-Speech of the token

### getReading

    String getReading(int wordId,
                      char[] surface,
                      int off,
                      int len)

  Get reading of tokens

  Parameters:
    `wordId` - word ID of token
  Returns:
    Reading of the token

### getBaseForm

    String getBaseForm(int wordId,
                       char[] surface,
                       int off,
                       int len)

  Get base form of word

  Parameters:
    `wordId` - word ID of token
  Returns:
    Base form (only different for inflected words, otherwise null)

### getPronunciation

    String getPronunciation(int wordId,
                            char[] surface,
                            int off,
                            int len)

  Get pronunciation of tokens

  Parameters:
    `wordId` - word ID of token
  Returns:
    Pronunciation of the token

### getInflectionType

    String getInflectionType(int wordId)

  Get inflection type of tokens

  Parameters:
    `wordId` - word ID of token
  Returns:
    inflection type, or null

### getInflectionForm

    String getInflectionForm(int wordId)

  Get inflection form of tokens

  Parameters:
    `wordId` - word ID of token
  Returns:
    inflection form, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD